Subject: Re: bug#4515: 23.1.50; Reverting changes on versioned file does not revert vc modeline status

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 22 Sep 2009 22:53:14 -0700 (PDT)

[email-masked]. "(Óscar" Fuentes) writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > When a modified versioned file is edited in such a way that the
  > modifications undoes previous changes to the file, after saving it the
  > VC-dired buffer for the working copy is automatically updated showing
  > that the status of the file is "up to date", but the VC modeline for the
  > buffer that visits the file does not change and keeps indicating that
  > the file state is "locally modified".

Can you please describe step by step the actions necessary to reproduce
this starting from emacs -Q?